Summary: 	Klogic is a digital circuit simulation.
Name:   	klogic
Version: 	1.22
Release: 	4mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts
BuildRequires:	autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt2 libqt2-devel
BuildRequires:	rpm-build


%description
Klogic is a digital circuit simulation.

%prep

%setup  -q

%build
# Laurent MONTEL 2001-04-14 --enable-final doesn't work

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2\
		    --disable-rpath \
		    --disable-debug 

%install
make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_bindir/klogic" \
title="Klogic" \
icon="%{name}.png" \
longtitle="A digital circuit simulation" \
needs="kde" \
section="Applications/Sciences/Other"
EOF

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files
%defattr(-,root,root)
%_bindir/*
%_datadir/applnk/klogic.kdelnk
%_datadir/applnk/Applications/klogic.kdelnk

%dir %_datadir/apps/klogic/
%dir %_datadir/apps/klogic/toolbar
%dir %_datadir/apps/klogic/pics
%_datadir/apps/klogic/*.circuit
%_datadir/apps/klogic/toolbar/*.xpm
%_datadir/apps/klogic/pics/*.xpm

%_datadir/icons/*.xpm
%_datadir/icons/mini/*.xpm
%_menudir/*

%changelog
* Thu Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-4mdk
- Rebuild with new kdelibs and fix menu entry

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-3mdk
- Rebuild with new kdelibs

* Fri Jul 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-2mdk
- rebuild

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.22-1mdk
- Initial package

